package org.bdware.consistency.plugin.ra;

import org.bdware.sc.bean.ContractExecType;
import org.bdware.sdk.consistency.api.ContractExecutorFactory;
import org.bdware.server.trustedmodel.ContractExecutor;

import java.util.Map;

public class RequestAllResponseFirstFactory implements ContractExecutorFactory {
    @Override
    public String getExecutorName() {
        return "RARF";
    }

    @Override
    public ContractExecutor getInstance(Map<String, Object> args) {
        String contractID = (String) args.get("contractID");
        return new RequestAllExecutor(
                ContractExecType.RequestAllResponseFirst, 1, contractID);
    }
}
