package org.bdware.consistency.plugin.sharding;

import org.bdware.sdk.consistency.api.ContractExecutorFactory;
import org.bdware.server.trustedmodel.ContractExecutor;

import java.util.Map;

public class SelfAdaptiveShardingExecutorFactory implements ContractExecutorFactory {
    @Override
    public String getExecutorName() {
        return "SASharding";
    }

    @Override
    public ContractExecutor getInstance(Map<String, Object> args) {
        String contractID = (String) args.get("contractID");
        return new SelfAdaptiveShardingExecutor(contractID);
    }
}
